Loading...
Searching...
No Matches
pyListHelper.h File Reference
`#include <BALL/DATATYPE/regularData3D.h>`

Go to the source code of this file.

## Namespaces

namespace | BALL

## Macros

#define | BALL_CONVERT_LIST_FROM(TYPE)
#define | BALL_CONVERT_LIST_TO(TYPE)

## Typedefs

typedef std::list< RegularData3D * > | BALL::RegularData3DList

## Macro Definition Documentation

## BALL_CONVERT_LIST_FROM

#define BALL_CONVERT_LIST_FROM | ( |  | TYPE | ) |

Value:
PyObject *pl;\
\
if ((pl = PyList_New(0)) == NULL) return NULL;\
\
for (TYPE##List::const_iterator it = sipCpp->begin(); it != sipCpp->end(); ++it)\
{\
PyObject *inst = BALL_CONVERT_FROM_INSTANCE(*it, TYPE, 0);\
\
if (inst == NULL || PyList_Append(pl,inst) < 0)\
{\
Py_DECREF(pl);\
return NULL;\
}\
}\
\
return pl;

Definition at line 18 of file pyListHelper.h.

## BALL_CONVERT_LIST_TO

#define BALL_CONVERT_LIST_TO | ( |  | TYPE | ) |

Value:
if (sipIsErr == NULL) return PyList_Check(sipPy);\
\
TYPE##List* alist = new TYPE##List;\
\
for (int i = 0; i < PyList_GET_SIZE(sipPy); ++i)\
{\
TYPE* a = reinterpret_cast<TYPE*>(BALL_FORCE_CONVERT_TO_TYPE(PyList_GET_ITEM(sipPy,i), TYPE));\
\
if (*sipIsErr)\
{\
delete alist;\
return 0;\
}\
\
alist->push_back(a);\
}\
\
*sipCppPtr = alist;\
\
return 1;

Definition at line 38 of file pyListHelper.h.